import yaml
from yandex_music import Client

config = yaml.safe_load(open("config.yaml", "r", encoding="utf-8"))
client = Client(token=config["token"])


def delete_track() -> None:
    client.init()
    len_playlist = client.users_likes_tracks()
    uid = client.account_status()["account"]["uid"]

    for track in client.users_playlists(kind=3)["tracks"]:
        client.users_likes_tracks_remove(track_ids=track["id"])
        print(f"Удален трек: {track['track']['title']}")


def add_track() -> None:
    with open("tracks.txt", "r", encoding="utf-8") as file:
        for track in file.read().splitlines():
            track_search = client.search(text=track)["tracks"]["results"][0]
            client.users_likes_tracks_add(track_ids=track_search["id"])

            print(f"Добавлен трек: {track_search['title']}")


if __name__ == "__main__":
    delete_track()
